Package org.kapott.hbci.dialog

## Class HBCIMessageQueue

- java.lang.Object
- - org.kapott.hbci.dialog.HBCIMessageQueue

    public class HBCIMessageQueue
    extends java.lang.Object

Kapselt die Liste der Nachrichten, die innerhalb eines Dialogs an die Bank gesendet werden sollen.

### Constructor Summary

Constructors
`HBCIMessageQueue()` ct.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append​(HBCIMessage message)` Fuegt eine neue Nachricht am Ende der Queue hinzu.
`HBCIJobImpl` `findTask​(java.lang.String hbciCode)` Sucht in der ganzen Queue nach einem Task mit dem angegebenen HBCI-Code.
`HBCIMessage` `getLast()` Liefert die letzte Nachricht.
`java.util.List<HBCIMessage>` `getMessages()` Liefert die Kopie der Nachrichten-Liste.
`int` `getTaskCount()` Liefert die Anzahl aller Tasks in allen Naxchrichten.
`HBCIMessage` `insertAfter​(HBCIMessage message)` Fuegt nach der angegebenen Nachricht noch eine neue hinzu und liefert sie zurueck.
`HBCIMessage` `insertBefore​(HBCIMessage message)` Fuegt vor der angegebenen Nachricht noch eine neue hinzu und liefert sie zurueck.
`HBCIMessage` `poll()` Liefert die naechste auszufuehrende Nachricht mit Tasks aus der Queue.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIMessageQueue

    public HBCIMessageQueue()

ct. Erzeugt die Queue und befuellt sie gleich mit der ersten Nachricht.

### Method Detail

#### getMessages

    public java.util.List<HBCIMessage> getMessages()

Liefert die Kopie der Nachrichten-Liste. Aenderungen an der Liste wirken sich nicht auf die Queue aus. Die Nachrichten darin koennen jedoch geaendert werden.

Returns:
  die Kopie der Nachrichten-Liste.

#### poll

    public HBCIMessage poll()

Liefert die naechste auszufuehrende Nachricht mit Tasks aus der Queue.

Returns:
  die naechste auszufuehrende Nachricht mit Tasks aus der Queue oder NULL, wenn keine weitere mehr mit Tasks existiert.

#### getTaskCount

    public int getTaskCount()

Liefert die Anzahl aller Tasks in allen Naxchrichten.

Returns:
  die Anzahl aller Tasks in allen Naxchrichten.

#### findTask

    public HBCIJobImpl findTask​(java.lang.String hbciCode)

Sucht in der ganzen Queue nach einem Task mit dem angegebenen HBCI-Code.

Parameters:
  `hbciCode` - der HBCI-Code.
Returns:
  der Task oder NULL, wenn er nicht gefunden wurde.

#### getLast

    public HBCIMessage getLast()

Liefert die letzte Nachricht.

Returns:
  die letzte Nachricht.

#### append

    public void append​(HBCIMessage message)

Fuegt eine neue Nachricht am Ende der Queue hinzu.

Parameters:
  `message` - die neue Nachricht.

#### insertBefore

    public HBCIMessage insertBefore​(HBCIMessage message)

Fuegt vor der angegebenen Nachricht noch eine neue hinzu und liefert sie zurueck.

Parameters:
  `message` - die Nachricht, vor der noch eine neue eingfuegt werden soll.
Returns:
  die neue Nachricht.

#### insertAfter

    public HBCIMessage insertAfter​(HBCIMessage message)

Fuegt nach der angegebenen Nachricht noch eine neue hinzu und liefert sie zurueck.

Parameters:
  `message` - die Nachricht, vor der noch eine neue eingfuegt werden soll.
Returns:
  die neue Nachricht.